Bug 187830 - xchat-gnome crashes when notifications plug-in is enabled.
xchat-gnome crashes when notifications plug-in is enabled.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 15:42 EDT by Gantry York
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 12:45:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gantry York 2006-04-03 15:42:05 EDT
Description of problem:

xchat-gnome crashes when the notification plugin is enabled.  This has also been
submitted as a bug to the xchat-gnome project.

http://bugzilla.gnome.org/show_bug.cgi?id=336949

After reviewing this with some of the xchat-gnome developers, I believe this to
be a dependancy problem.

Fedora Core 5 comes with libnotify-0.3.0-6 and Fedora Extras 5 comes with
xchat-gnome-0.10-5.

According to the xchat-gnome developers xchat-gnome 0.10 requires
libnotify-0.3.2.  In fact, they say it can't even be built with 0.3.0.

This is very likely the cause of the crashes that I experience with the
notification pluggin enabled.




Version-Release number of selected component (if applicable):

Fedora Core release 5 (Bordeaux)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Brian Pepple 2006-04-03 16:15:29 EDT
This is due to the dbus plugin (XChat-Gnome Remote Access) not being activated.
 To prevent this from happening to other users, if the OSD plugin is selected,
it should also activate the dbus plugin.  Once I get some free time, I look to
see how hard it would be to implement this.
Comment 2 Paul W. Frields 2006-04-21 17:10:08 EDT
I checked out your CVS version (prospective 0.11-1.fc5 I suppose), and this
problem is gone, in that the DBUS plugin apparently can't be deactivated now. 
At least, if I try, I get an error dialog saying there was a problem unloading
the plugin.  Are you planning on releasing the new package, or are you waiting
for a fix for that dialog?
Comment 3 Brian Pepple 2006-04-21 17:37:32 EDT
xchat-gnome-0.11-1.fc5 was already pushed out on 06-Apr-2006.
Comment 4 Michael Schwendt 2006-04-21 18:08:34 EDT
[Why the heck are normal bug reports sent to fedora-package-review
(and previously fedora-extras-list) via the QA Contact field?]

Note You need to log in before you can comment on or make changes to this bug.